List Images
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages
Lists images
Request
Query Parameters
-
createdByMatches: string
Wildcard search on the owner of the imageExample:
ADMIN -
descriptionMatches: string
Wildcard search on the description of the imageExample:
%image% -
include: string
Include "all" images (ready and not ready images)Allowed Values:
[ "all" ] -
limit: integer(int32)
Limit count of the items in the responseExample:
10 -
nameMatches: string
Wildcard search on the name of the imageExample:
%DB19% -
page: string
Marker indicating the next set (page) of itemsExample:
b2Zmc2V0OjA -
sort: string
Comma separated list of fields along with an optional sort direction. The supported attribute of sorting is 'name'.Valid sort directions are 'asc' and 'desc'. If sort direction is not specified, 'asc' is used by default.Example:
name:desc -
targetType: string
Image target typeExample:
oracle_database -
versionMatches: string
Wildcard search on the version name of the imageExample:
%19%
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. The list of the images is retrieved.
Root Schema : GoldImageCollection
Type:
objectList of images
Show Source
-
items(required): array
items
Array of images
Match All
List of images
Show Source
-
object
Pagination
Collection of items with links
Nested Schema : items
Type:
arrayArray of images
Show Source
-
Array of:
GoldImageSummary
Summary of the image
Nested Schema : Pagination
Type:
objectCollection of items with links
Show Source
-
count: integer
Count of this fetchExample:
40 -
links: object
Links
Represents the array of links
-
total: integer
total countExample:
40
Nested Schema : GoldImageSummary
Summary of the image
Match All
Summary of the image
Show Source
-
object
GoldImageCommonSummary
Common image summary
Nested Schema : GoldImageCommonSummary
Type:
objectCommon image summary
Show Source
-
createdBy: string
Owner of the imageExample:
ADMIN -
description: string
Description of the imageExample:
fm_1914_description -
fppServer: string
If isFppImage is true then this field contains FPP server name, where the image is presentExample:
xyz0102c -
fppUser: string
If isFppImage is true then this field contains FPP user name, who has access to the imageExample:
restuser -
id: string
ID of the imageExample:
E6C5858BD2B46B37E05380FE4564A69B -
isFppImage: boolean
Flag to indicate FPP imageExample:
true -
links: object
links
Navigation links
-
name: string
Name of the imageExample:
fm_1914image -
platformName: string
Platform of the imageExample:
Linux x86-64 -
timeCreated: string
(date-time)
Creation time of the imageExample:
2022-08-22 00:10:27.0 -
version: string
Version of the imageExample:
19.0.0.0.0
Nested Schema : links
Type:
objectNavigation links
Show Source
-
self: object
SelfLink
Represents a self-link
Nested Schema : SelfLink
Type:
objectRepresents a self-link
Show Source
-
href: string
URL for the self-linkExample:
/em/api/<resources>/<resourceId>
Nested Schema : Links
Type:
objectRepresents the array of links
Show Source
-
next: object
Link
A link
-
previous: object
Link
A link
-
self: object
Link
A link
Examples
400 Response
Bad Request.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
401 Response
Unauthorized.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
403 Response
Forbidden.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
404 Response
Not Found.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
500 Response
Internal Server Error.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
503 Response
Service Unavailable
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty